libfcgi-perl_0.77-1build1_amd64.deb


Advertisement

Description

libfcgi-perl - helper module for FastCGI

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libfcgi-perl_0.77-1build1_amd64.deb
Package name libfcgi-perl
Package version 0.77
Package release 1build1
Package architecture amd64
Package type deb
Category perl
Homepage https://metacpan.org/release/FCGI
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 31.50 KB
Installed size 91.00 KB
FCGI is a simple Perl module for writing FastCGI applications. FastCGI is a
language-independent, scalable, open extension to CGI that provides faster
performance by keeping programs persistent in memory and allowing them to
handle multiple requests. This module provides the core interface needed to
write these applications.
For complex applications, you should consider a more full-featured solution
such as Plack or Catalyst (see libcatalyst-perl).

Alternatives

Package Version Architecture Repository
libfcgi-perl_0.77-1build1_i386.deb 0.77 i386 Ubuntu Main
libfcgi-perl - - -

Requires

Name Value
libc6 >= 2.15
perl >= 5.22.1-1
perlapi-5.22.1 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libfcgi-perl_0.77-1build1_amd64.deb
Source Package libfcgi-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libfcgi-perl deb package:
    # sudo apt-get install libfcgi-perl

Files

Path
/usr/lib/x86_64-linux-gnu/perl5/5.22/FCGI.pm
/usr/lib/x86_64-linux-gnu/perl5/5.22/auto/FCGI/FCGI.so
/usr/share/doc/libfcgi-perl/changelog.Debian.gz
/usr/share/doc/libfcgi-perl/copyright
/usr/share/doc/libfcgi-perl/examples/echo.pl
/usr/share/doc/libfcgi-perl/examples/remote.pl
/usr/share/doc/libfcgi-perl/examples/threaded.pl
/usr/share/man/man3/FCGI.3pm.gz

Changelog

2015-12-17 - Colin Watson <cjwatson@ubuntu.com>
libfcgi-perl (0.77-1build1) xenial; urgency=medium
* Rebuild for Perl 5.22.1.
2014-08-12 - gregor herrmann <gregoa@debian.org>
libfcgi-perl (0.77-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Drop debian/clean. Files are now removed by upstream build system.
2014-07-19 - gregor herrmann <gregoa@debian.org>
libfcgi-perl (0.75-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* Drop fix-pod-error.patch, merged upstream.
* Install example scripts.
* Update copyright years for ./configure.
2014-03-09 - intrigeri <intrigeri@debian.org>
libfcgi-perl (0.74-2) unstable; urgency=low
* Team upload.
[ Alessandro Ghedini ]
* Email change: Alessandro Ghedini -> ghedo@debian.org
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
[ intrigeri ]
* Bump debhelper compat level to 9.
* Adjust versioned Build-Depends on debhelper to (>= 9.20120312~)
to get hardening build flags.
* Reformat debian/control with cme fix dpkg.
* Declare compatibility with Standards-Version 3.9.5.
2011-09-24 - Alessandro Ghedini <al3xbio@gmail.com>
libfcgi-perl (0.74-1) unstable; urgency=low
* New upstream release
* Drop cve-2011-2766.patch (merged upstream)
2011-09-17 - Damyan Ivanov <dmn@debian.org>
libfcgi-perl (0.73-2) unstable; urgency=high
* Team upload
+ High urgency for fixing a security bug
[ Ansgar Burchardt ]
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
[ Damyan Ivanov ]
* Add patch from upstream bug tracker fixing CVE-2011-2766
Closes: #607479. Thaks to Ferdinand for reporting, Russ Allbery for the
analysis and chansen for the patch.
2011-05-31 - Alessandro Ghedini <al3xbio@gmail.com>
libfcgi-perl (0.73-1) unstable; urgency=low
[ Ansgar Burchardt ]
* Update my email address.
[ Alessandro Ghedini ]
* New upstream release. (Closes: #627806)
* Bump Standards-Version to 3.9.2 (no changes needed)
* Bump debhelper compat level to 8
* Add myself to Uploaders
* Fix dh arguments ordering
* Drop fix-pod-spelling (merged upstream)
* Update upstream copyright year for the configure file
* Add fix-pod-error patch
2010-04-01 - Ansgar Burchardt <ansgar@43-1.org>
libfcgi-perl (0.71-1) unstable; urgency=low
* New upstream release.
* Remove README.source and quilt framework.
2010-03-23 - Krzysztof Krzy┼╝aniak (eloy) <eloy@debian.org>
libfcgi-perl (0.70-2) unstable; urgency=low
* Switch to dpkg-source 3.0 (quilt) format
2010-03-23 - Krzysztof Krzy┼╝aniak (eloy) <eloy@debian.org>
libfcgi-perl (0.70-1) unstable; urgency=low
* New upstream release
* debian/control: added me to Uploaders
* debian/source/format: created with content "1.0"

See Also

Package Description
libfcgi0ldbl_2.4.0-8.3_amd64.deb Shared library of FastCGI
libfcitx-config4_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - configuration support library
libfcitx-core0_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - library of core funtions
libfcitx-gclient0_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - D-Bus client library for Glib
libfcitx-qt0_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - Meta package for Qt library
libfcitx-qt5-1_1.0.5-1_amd64.deb Free Chinese Input Toy of X - D-Bus client libraries for Qt5
libfcitx-qt5-dev_1.0.5-1_amd64.deb Free Chinese Input Toy of X - Devel files for libfcitx-qt5
libfcitx-utils0_4.2.9.1-1ubuntu1_amd64.deb Flexible Input Method Framework - utility support library
libfdisk-dev_2.27.1-6ubuntu3_amd64.deb fdisk partitioning library - headers and static libraries
libfdisk1_2.27.1-6ubuntu3_amd64.deb fdisk partitioning library
libfdt-dev_1.4.0+dfsg-2_amd64.deb Flat Device Trees manipulation library - development files
libfdt1_1.4.0+dfsg-2_amd64.deb Flat Device Trees manipulation library
libffi-dev_3.2.1-4_amd64.deb Foreign Function Interface library (development files)
libffi6_3.2.1-4_amd64.deb Foreign Function Interface library runtime
libfftw3-bin_3.3.4-2ubuntu1_amd64.deb Library for computing Fast Fourier Transforms - Tools
Advertisement
Advertisement